package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BasePreventTree;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 九防台账-防树
* @author wuhonghao
* @date 2021/11/13
*/
@Mapper
@Repository
public interface BasePreventTreeMapper {

    /**
    * 新增
    */
    int insert(BasePreventTree basePreventTree);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BasePreventTree basePreventTree);

    /**
    * 获取单个
    */
    BasePreventTree getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BasePreventTree> getList(BasePreventTree basePreventTree);

}
